# gotypist-stats

Parse `~/.gotypist-stats` file generated by [gotypist](https://github.com/pb-/gotypist) and show various stats to get some insights on your progress and performance.

### Currently available:

- 6 month activity hitmap à la Github to track the training session
- cumulated time spent on gotypist
- phrase that gave you the biggest trouble ever
- most commons mistyped letters

### Installation and usage

```shell
pip3 install --user gotypist-stats
gotypist-stats
```

### Example output

```

🟄 6 months hitmap 🟄

Mon ░░░░░░░░░░▓▓▓▓░░░░░░▒▒░░░░░░░░░░░░░░░░▓▓░░░░▒▒░░░░░░░░
Tue ░░░░░░░░▓▓▒▒░░░░░░░░░░░░░░░░░░░░░░░░░░░░▒▒░░░░░░▓▓░░▓▓
Wed ░░░░░░░░▓▓▓▓▓▓░░░░░░░░▒▒░░░░░░░░░░░░░░░░▒▒░░░░░░▓▓▓▓░░
Thu ░░░░░░▓▓░░▒▒░░░░░░░░░░░░░░░░░░░░░░░░░░▓▓░░░░░░░░░░░░░░
Fri ░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░▓▓░░░░░░░░░░░░░░░░░░░░░░
Sat ░░░░░░░░░░▒▒▒▒░░░░░░░░░░▓▓░░░░░░░░░░░░░░░░░░░░░░▓▓░░░░
Sun ░░░░░░░░░░░░░░░░░░░░░░░░░░▓▓▒▒░░░░░░░░░░░░░░▓▓▒▒▓▓░░▓▓

🟄 Overall stats 🟄

╒══════════════════════╤═══════════════╕
│ Total training time: │ 3 hours 48min │
╘══════════════════════╧═══════════════╛

🟄 Most common typos 🟄

╒════════════════╤════════════╤═════════════════╕
│ Typo           │   Mistakes │ % of mistakes   │
╞════════════════╪════════════╪═════════════════╡
│ s instead of d │         51 │ 3.65%           │
├────────────────┼────────────┼─────────────────┤
│ r instead of t │         44 │ 3.15%           │
├────────────────┼────────────┼─────────────────┤
│ _ instead of ) │         42 │ 3.01%           │
├────────────────┼────────────┼─────────────────┤
│ r instead of e │         37 │ 2.65%           │
├────────────────┼────────────┼─────────────────┤
│ [ instead of p │         33 │ 2.36%           │
├────────────────┼────────────┼─────────────────┤
│ g instead of f │         32 │ 2.29%           │
╘════════════════╧════════════╧═════════════════╛

🟄 Biggest failure 🟄

╒═══════════════╤═══════════════════════════════════════════════════════════════════════╕
│ was typing    │ debug=$([[ -z $SQL_OUTPUT ]] && echo '' || echo ".trace $SQL_OUTPUT") │
├───────────────┼───────────────────────────────────────────────────────────────────────┤
│ mode          │ slow                                                                  │
├───────────────┼───────────────────────────────────────────────────────────────────────┤
│ failed        │ 25 times                                                              │
├───────────────┼───────────────────────────────────────────────────────────────────────┤
│ happened on   │ Sep 09 2019                                                           │
├───────────────┼───────────────────────────────────────────────────────────────────────┤
│ struggled for │ 7 minutes 9s                                                          │
╘═══════════════╧═══════════════════════════════════════════════════════════════════════╛

```

Requires python 3.6+

Usage: `./gotypist-stats.py`
